---
search:
  tags:
    - Variant Templates
    - GET
seo:
  description: >-
    Returns the variant… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/variant-groups/templates
    endpoint in the Management API.
sidebar:
  label: Get product variant templates
  badge: GET
title: Get product variant templates
type: openapi-operation
---
Returns the variant templates for a product

`GET /api/v1/{team_slug}/{app_slug}/products/{product_id}/variant-groups/templates`

**Responses**

- `200` — Variant templates
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "attribute_template_id": "string",
      "created_at": "string",
      "id": "string",
      "template_key": "string",
      "template_name": "string",
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}
```
